%define oname   red-colors

Name:       ruby-%{oname}
Version:    0.4.0
Release:    %mkrel 2
Summary:    Red Colors provides a wide array of features for dealing with colors. This includes conversion between colorspaces, desaturation, and parsing colors
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/red-data-tools/red-colors
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Red Colors provides a wide array of features for dealing with colors. This
includes conversion between colorspaces, desaturation, and parsing colors.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}



#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.4.0-2.mga10
+ Revision: 2222104
- Mageia 10 Mass Rebuild

* Mon Apr 08 2024 pterjan <pterjan> 0.4.0-1.mga10
+ Revision: 2055383
- Update to 0.4.0

* Fri Mar 25 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1827174
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.3.0-1.mga9
+ Revision: 1784843
- imported package ruby-red-colors

